Cassandra.AsyncProcessor.get_range_slices (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.get_range_slices<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.get_range_slices_args,java.util.List<KeySlice>>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.get_range_slices<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.get_range_slices<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.get_range_slices_args,java.util.List<KeySlice>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `get_range_slices()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.get_range_slices_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<java.util.List<KeySlice>>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.get_range_slices_args args, org.apache.thrift.async.AsyncMethodCallback<java.util.List<KeySlice>> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### get_range_slices

          public get_range_slices()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.get_range_slices_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_range_slices_args,java.util.List<KeySlice>>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<java.util.List<KeySlice>> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                        int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_range_slices_args,java.util.List<KeySlice>>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_range_slices_args,java.util.List<KeySlice>>`

    - #### start

          public void start(I iface,
                            Cassandra.get_range_slices_args args,
                            org.apache.thrift.async.AsyncMethodCallback<java.util.List<KeySlice>> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.get_range_slices_args,java.util.List<KeySlice>>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation